Custom serialization of SolrDocument objects

- « SolrDocument::toArray

- SolrDocument::__unset »

- PHP Manual
- SolrDocument
- Custom serialization of SolrDocument objects

# SolrDocument::unserialize

(PECL solr >= 0.9.2)

SolrDocument::unserialize — Custom serialization of SolrDocument objects

### Description

public SolrDocument::unserialize(string `$serialized`): void

Custom serialization of SolrDocument objects

### Parameters

`serialized`

  An XML representation of the document.

### Return Values

None.